---
title: Recommended Naming Conventions
date: '2022-10-02'
lastmod: '2022-10-02'
tags: ['Sysops', 'How-To']
draft: false
summary: This is a recommended naming convention for files and folders I created for my company. Id recommend everyone to follow some of these rules when computing.
images: ['']
authors: ['default']
layout: PostLayout
---

The purpose of this document is to help use best practice for naming files and folders so that Microsoft products can read and understand them properly. These rules are not 100% required but if followed correctly they will lead to less problems and better organization.

When it comes to files and folders on a PC, each segment of the path (a segment is a file name or folder name like “Promotion” or “Some File.xlsx”) can't be more than **255** characters due to operating system limitations.

Sharepoint website files and folders paths can be up to **400** characters long. **This only applies when opening from the sharepoint website and does not apply to synced files**.

## Rule Number 1 – Keep Folder and File names short

File names should be kept as short as possible but still be meaningful. Long file names create long file paths and long URLs. SharePoint search breaks down when a file path or URL exceeds 255 characters.

## Rule Number 2 – Do not use spaces in any Folder or File name

These appear as an ugly ‘%20’ in the URL. When a space is used in the URL, it gets converted to %20. Your browser will let you type in the URL as a space or a %20 when you want to access that list they are a pain to find the space and then change this to %20, so avoid spaces if number one priority

Spaces equate to 3 extra characters in Windows, so it is best to avoid spaces.

## Rule Number 3 – Build no more than 3 levels of Folders

The more sub folders the longer the path. Keep it simple.

## Rule Number 4 – For sorting by filename, use consistent naming conventions

**Example:** 2015\_01\_15 through 2014\_11\_07

One way to name is ‘YYYYMMDD\_System\_Name’

**Example:** 2015\_2007\_Galayda


## Rule Number 5 – Document Versions in Filenames

some people like to insist in placing version numbers in a document name. If you are going to do so, we have some recommendations for you. 1) be consistent, 2) never change the base name of the file, 3) place the version number at the end of the filename, but before the period, and 4) use dashes to separate major version number from minor version number.\

**Example:** (“basefilename\_v0-1.ext” or “base\_file\_name\_v1-0.ext”).

## Rule Number 6 – Document Names, Use Underscores (_)

Do not use illegal web characters ‘.'()’, ‘/’, ‘&’, etc.

Note- One of the downsides of the underscore recommendation is that it is difficult to distinguish the underscore from a space in a hyperlink, but this is usually only a problem if someone is trying to copy down your URL by hand.

Give your documents a “user friendly” name, use the Title column to create an additional name for your documents. In the Title column, spaces are fine. It’s a good idea to always have a non-blank Title because the Title is displayed by default in search results and in Content Query web parts.

## Rule Number 7 – Try not to use hyphens or dashes to separate words.

While search engines typically also recognize a dash or hyphen (“-“) as a valid word separator, I prefer the underscore because hyphens are used as break points to wrap text on separate lines. URL’s that contain hyphens often cause problems in email, a problem that I would bet that all of us have encountered at one time.

### A Few Examples To Go By

|     |     |     |
| --- | --- | --- |
| **Do This** | **Don't Do This** | **Reason** |
| RiskManagement.docx | Risk_management.docx | Use Capital Letters to Delimit Words Instead of Spaces and Underscores. |
| /.../Procedures/Appeals.rtf | /.../Procedures/AppealsProcedures.rtf | Avoid Repetition and Redundancy. |
| SausageMashCtteeRemit.docx | The\_sausage\_and\_mash\_committee_remit.docx | Keep File Names Short but Meaningful. |
| OfficeProceduresV01 | OfficeProceduresV1 | When including a number in a file name always use a two-digit number, unless it is a year or another number with more than two digits. Helps with alphanumeric order. |

`Create By: Rusty Yow`
`Updated: 9-29-2022`
